bugGnash - The GNU Flash player - Bugs: bug #37424, libGLESv2 not found properly

 
 

bug #37424: libGLESv2 not found properly

Submitted by:  Josua Mayer <artox>
Submitted on:  Sat 22 Sep 2012 01:34:02 PM UTC  
 
Category: buildSeverity: 3 - Normal
Release: masterStatus: Postponed
Privacy: PublicAssigned to: Rob Savoye <rsavoye>
Open/Closed: Open

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Mon 24 Sep 2012 05:05:26 PM UTC, comment #3:

There is no GLES2 support in Gnash beyond a few minor bits of code. It was a GSoC project that had limited progress. The GLES1 support is also incomplete. It is based on an ancient patch to Gnash 0.8.5, all I did was fix the old patch so it would compile. Patches to get the GLES1 code working would be appreciated.

Rob Savoye <rsavoye>
Project AdministratorIn charge of this item.
Mon 24 Sep 2012 11:04:48 AM UTC, comment #2:

And another thing. I realized EGL is not found.
HAVE_EGL_EGL_H is not set. This triggers a #error in libdevice/egl/eglDevice.h

Josua Mayer <artox>
Sat 22 Sep 2012 01:38:18 PM UTC, comment #1:

false positive on gles1. There is a libGLESv1_CM.so.

Josua Mayer <artox>
Sat 22 Sep 2012 01:34:02 PM UTC, original submission:

macros/gles.m4 has a few faults.
Again, I am using teh raspberry pi and specifying the path to gles2 lib by --with-gles2-includes=/opt/vc/include --with-gles2-lib=/opt/vc/lib
In its current state, GLES2_LIB is empty while the gles2 headers were found and include paths properly set inside GLES2_CFLAGS in all Makefiles generated by configure. I have seen a few logical issues in the macros/gles.m4

lines 199,200
the for-loop uses j, but the check for existing files uses $i.
Aditionally the code in line 200 checks for files named like GLESv2.a(wrong for me) instead of libGLESv2.a(right for me).
Same things lines 210,211.

When these 2 thigns are fixed, the code will act weird. there is a list of libraries given as gleslist1 or gleslist2.
line 190: gleslist2="EGL GLESv2"
As far as I am concerned, both libEGL and libGLESv2 are needed. Now the code in lines 210-215 will find libEGL and then finish. In the Makefiles GLES2_LIB will only contain -lEGL. So -lGLESv2 is missing.

Besides, I dont know what gles1 is used for but the raspberry pi is supposed to support gles1 too. There are include files for it, no GLES/egl.h though. and there is no libGLESv1.so. Instead, libGLESv2.so contains also gles1.

Josua Mayer <artox>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by rsavoye (Updated the item)
  • -unavailable- added by artox (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 2 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Mon 24 Sep 2012 05:05:26 PM UTCrsavoyeStatusNone=>Postponed
      Assigned toNone=>rsavoye

    Back to the top


    Powered by Savane 3.1-cleanup